MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026380Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-06-29 20:132016-12-09 16:30
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026380: OSD_SharedLibrary - handle UTF-8 file paths
DescriptionClass implementation does not use LoadLibraryExW or LoadLibraryW, thus is not Unicode-compatible:
 242 Standard_Boolean OSD_SharedLibrary :: DlOpen ( const OSD_LoadMode /*Mode*/ ) {
 243 
 244  Standard_Boolean retVal = Standard_True;
 245 
 246  if (  (  myHandle ) == NULL &&
 247        (  myHandle = ( HINSTANCE )LoadLibraryEx (
 248                                    myName, NULL, LOAD_WITH_ALTERED_SEARCH_PATH
 249                                   )  ) == NULL

The class also should be revised to follow coding rules (e.g. eliminate unsafe memory management, uninitialized myName field on non-Windows and probably other issues).
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025302closedabv Incorrect locale and unicode support in Draw console 
related to 0027838closedkgv Foundation Classes - support wchar_t* input within TCollection_AsciiString and TCollection_ExtendedString 
child of 0022484closedbugmaster UNICODE characters support. 

-  Notes
(0057842)
kgv (developer)
2016-09-16 09:44

Please switch bug to VERIFIED - fix has been included within patch for 0027838.

- Issue History
Date Modified Username Field Change
2015-06-29 20:13 kgv New Issue
2015-06-29 20:13 kgv Assigned To => abv
2015-06-29 20:14 kgv Relationship added child of 0022484
2015-06-29 20:15 kgv Summary OSD_SharedLibrary should handle UTF-8 file paths => OSD_SharedLibrary - handle UTF-8 file paths
2015-06-29 20:15 kgv Relationship added related to 0025302
2015-12-14 22:39 abv Target Version 7.0.0 => 7.1.0
2016-09-04 14:35 kgv Relationship added related to 0027838
2016-09-16 09:44 kgv Note Added: 0057842
2016-09-16 09:44 kgv Assigned To abv => bugmaster
2016-09-16 09:44 kgv Status new => feedback
2016-09-16 09:44 kgv Resolution open => fixed
2016-09-16 09:44 kgv Fixed in Version => 7.1.0
2016-09-16 12:29 bugmaster Status feedback => tested
2016-09-16 12:29 bugmaster Status tested => verified
2016-12-09 16:30 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker